Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql
Class CQLStatement

    java.lang.Object
      org.apache.cassandra.cql.CQLStatement

    public class CQLStatement

extends java.lang.Object

Field Summary
`int` | `boundTerms`
`java.lang.Object` | `statement`
`StatementType` | `type`

Constructor Summary
`CQLStatement(StatementType type, java.lang.Object statement, int lastMarker)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public StatementType type

### statement

    public java.lang.Object statement

### boundTerms

    public int boundTerms

Constructor Detail

### CQLStatement

    public CQLStatement(StatementType type,
                        java.lang.Object statement,
                        int lastMarker)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation